[Stable Update] 2020-05-19 - Kernels, Calamares, KDE Framework, MSM, Wine

Hello community,

Another stable branch update with some interesting updates for you!


Get 15% off on all our Manjaro Merch! #stayhome, #staysave, #stayhealthy

  • KDE-git packages got updated
  • KDE Frameworks are now at 5.70.0
  • Manjaro Settings Manager supports now HiDPI screens
  • Wine got updated to 5.8
  • The usual upstream updates

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our latest release Manjaro Lysia 20.0.1! XFCE, KDE and Gnome


Upstream notice

Arch updated their default compression to zstd. We adopted to the same standard. More and more packages will have the zst extension from now on. If you get for what ever reason an error with ZSTD not supported as archive format you can do this:

sudo pacman -Syy
sudo pacman -S pacman-static
sudo pacman-static -Syyu

Our current supported kernels

  • linux316 3.16.83
  • linux44 4.4.223
  • linux49 4.9.223
  • linux414 4.14.180
  • linux419 4.19.122
  • linux54 5.4.40
  • linux55 5.5.19 EOL
  • linux56 5.6.12
  • linux57 5.7-rc5
  • linux54-rt 5.4.39_rt23
  • linux56-rt 5.6.10_rt5

Package Changes (Mon May 11 08:37:42 CEST 2020)

  • stable community x86_64: 137 new and 139 removed package(s)
  • stable core x86_64: 14 new and 14 removed package(s)
  • stable extra x86_64: 236 new and 240 removed package(s)
  • stable multilib x86_64: 2 new and 2 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-05-11           2020-05-19
-------------------------------------------------------------------------------
                          attica-git5.70.0.r751.gdbba57e-15.71.0.r752.g230073d-1
                           baloo-git5.70.0.r2784.g7605f4d7-15.71.0.r2785.g6351e180-1
                                bauh              0.9.0-1              0.9.3-1
                        bluez-qt-git5.70.0.r592.g311c43d-15.71.0.r593.g252653b-1
                          breeze-git5.18.80.r1989.g34862b27-15.18.80.r1990.g15ef2c41-1
                    breeze-icons-git5.70.0.r1555.gb94a7284-15.71.0.r1557.g8f519863-1
                               cpu-x3.2.4.r256.g33c0406-14.0.0.rc1.r2.g71c5dc0-1
                         deepin-dock            5.1.0.9-1                    -
                         deepin-draw           5.8.0.16-1                    -
                 deepin-polkit-agent              5.1.0-2                    -
            dynamic-wallpaper-editor                2.4-1                2.5-1
             extra-cmake-modules-git5.70.0.r3153.gbac7608-15.71.0.r3154.g0c72f53-1
            frameworkintegration-git5.70.0.r516.g927a272-15.71.0.r518.gaba34f0-1
                     kactivities-git5.70.0.r1284.g1eda2b43-15.71.0.r1286.gfb858507-1
               kactivities-stats-git5.70.0.r278.g9a3b3a1-15.71.0.r280.gfc4d903-1
                         kapidox-git5.70.0.r464.gefbc6aa-15.71.0.r465.g7419c3e-1
                        karchive-git5.70.0.r419.g1af9b54-15.71.0.r420.gccb7d15-1
                           kauth-git5.70.0.r353.gb213f00-15.71.0.r355.gf44eadc-1
                      kbookmarks-git5.70.0.r333.g1d8d223-15.71.0.r335.gea46f76-1
                        kcmutils-git5.70.0.r388.gac1640a-15.71.0.r390.g73242fb-1
                         kcodecs-git5.70.0.r304.g6c5463f-15.71.0.r305.g31e1bde-1
                     kcompletion-git5.70.0.r359.g5b08593-15.71.0.r361.g51d6bb7-1
                         kconfig-git5.70.0.r689.g8e0f840-15.71.0.r690.g15ecb79-1
                  kconfigwidgets-git5.70.0.r458.g28e8543-15.71.0.r460.g4d85f6a-1
                     kcoreaddons-git5.70.0.r975.g0824e28-15.71.0.r978.g6219d0b-1
                          kcrash-git5.70.0.r303.g33ec94a-15.71.0.r306.g4643631-1
                     kdbusaddons-git5.70.0.r308.g8289dcd-15.71.0.r309.gc85db5c-1
                    kdeclarative-git5.70.0.r772.g9725a21-15.71.0.r774.g277b2e3-1
                            kded-git5.70.0.r310.g932a542-15.71.0.r312.g2db6181-1
                 kdelibs4support-git5.70.0.r938.gaa83868b-15.71.0.r939.g2654a2c5-1
                 kdesignerplugin-git5.70.0.r278.ge293322-15.71.0.r280.gc4051fc-1
                           kdesu-git5.70.0.r395.g30c10a3-15.71.0.r397.g3540dfa-1
                       kdewebkit-git5.70.0.r228.g934b62d-15.71.0.r229.gbf13877-1
                          kdnssd-git5.70.0.r255.gfd2b50f-15.71.0.r256.g734abba-1
                       kdoctools-git5.70.0.r537.g7efd372-15.71.0.r539.gdf7f5cf-1
                      kemoticons-git5.70.0.r316.gde7e36d-15.71.0.r318.g3ecf2ec-1
                   kfilemetadata-git5.70.0.r693.g0975ed4-15.71.0.r695.gd864d9a-1
                    kglobalaccel-git5.70.0.r357.g5b95a36-15.71.0.r359.gc2c6d8e-1
                      kguiaddons-git5.70.0.r275.g91387ae-15.71.0.r276.g87555be-1
                       kholidays-git5.70.0.r859.gc39d1eb-15.71.0.r862.g8b3f65e-1
                           khtml-git5.70.0.r494.g06355f9-15.71.0.r495.gb12b46a-1
                           ki18n-git5.70.0.r393.g9504075-15.71.0.r394.g8b64461-1
                     kiconthemes-git5.70.0.r421.g1088151-15.71.0.r423.ga2064a0-1
                       kidletime-git5.70.0.r247.gce27e64-15.71.0.r248.g62d3e7b-1
                   kimageformats-git5.57.0.r270.g105d0fa-15.57.0.r271.gf5b26cc-1
                           kinit-git5.70.0.r341.gae528cc-15.71.0.r343.g222efd5-1
                             kio-git5.70.0.r3937.g81a7b118-15.71.0.r3943.g21529bcb-1
                       kirigami2-git5.70.0.r2186.g35f055a2-15.71.0.r2187.gfc5ba467-1
                     kitemmodels-git5.70.0.r424.gb9757de-15.71.0.r425.ga976bd9-1
                      kitemviews-git5.70.0.r268.gdf9e5d3-15.71.0.r269.g30e5e55-1
                     kjobwidgets-git5.70.0.r294.g3c4e1a7-15.71.0.r296.ga071720-1
                             kjs-git5.70.0.r283.g8bb2db4-15.71.0.r284.ga8d1679-1
                        kjsembed-git5.70.0.r242.g38e8882-15.71.0.r244.g85896fe-1
                    kmediaplayer-git5.70.0.r236.g3b66241-15.71.0.r238.g6ddcce2-1
                  knotifications-git5.70.0.r532.ga39883c-15.71.0.r534.g6517e6c-1
                   knotifyconfig-git5.70.0.r282.ge9227dc-15.71.0.r284.g6ca3f44-1
                        kpackage-git5.70.0.r574.g83d0756-15.71.0.r576.g10c2f56-1
                          kparts-git5.70.0.r400.ge6584d1-15.71.0.r402.ga9776c2-1
                         kpeople-git5.70.0.r1251.g74fb1a9-15.71.0.r1253.ge0669fe-1
                       kplotting-git5.70.0.r233.g810bc09-15.71.0.r234.gc1f0161-1
                            kpty-git5.70.0.r256.g73b7a2a-15.71.0.r258.g9e1492e-1
                           kross-git5.70.0.r278.g90e1d7b-15.71.0.r279.gccbe17f-1
                        kservice-git5.70.0.r766.gba85c9c-15.71.0.r772.gc8c10b7-1
                    ktextwidgets-git5.70.0.r318.gcd7c985-15.71.0.r320.g08dc2c9-1
                 kunitconversion-git5.70.0.r305.gcccaaa5-15.71.0.r307.ge1a15f0-1
                         kwallet-git5.70.0.r956.g63ceb0a-15.71.0.r959.gc4be96e-1
                  kwidgetsaddons-git5.70.0.r668.g5904c47-15.71.0.r669.gf732164-1
                   kwindowsystem-git5.70.0.r511.g0b07994-15.71.0.r512.g895613f-1
                         kxmlgui-git5.70.0.r618.g4397bdd-15.71.0.r620.gd4d97fe-1
                   kxmlrpcclient-git5.70.0.r392.ga4c81accb-15.71.0.r394.g2a91f7261-1
                            libcpuid 0.4.1.r50.g21e4b1f-1 0.4.1.r54.gef89864-1
                          linux54-rt        5.4.28_rt19-1        5.4.39_rt23-1
                linux54-rt-acpi_call             1.1.0-11             1.1.0-12
                 linux54-rt-bbswitch               0.8-11               0.8-12
              linux54-rt-broadcom-wl      6.30.223.271-11      6.30.223.271-12
                  linux54-rt-headers        5.4.28_rt19-1        5.4.39_rt23-1
              linux54-rt-ndiswrapper               1.63-1               1.63-2
             linux54-rt-nvidia-340xx           340.108-10           340.108-11
             linux54-rt-nvidia-390xx           390.132-11           390.132-12
             linux54-rt-nvidia-418xx           418.113-11           418.113-12
             linux54-rt-nvidia-430xx            430.64-11            430.64-12
             linux54-rt-nvidia-435xx            435.21-10            435.21-11
             linux54-rt-nvidia-440xx             440.82-1             440.82-2
                 linux54-rt-nvidiabl              0.88-11              0.88-12
                    linux54-rt-r8168           8.048.02-1           8.048.02-2
                linux54-rt-rtl8723bu           20200126-8           20200405-1
                 linux54-rt-tp_smapi              0.43-11              0.43-12
              linux54-rt-vhba-module           20200106-8           20200106-9
 linux54-rt-virtualbox-guest-modules              6.1.6-1              6.1.6-2
  linux54-rt-virtualbox-host-modules              6.1.6-1              6.1.6-2
                manjaro-gnome-assets           20200425-1           20200510-1
              manjaro-gnome-settings           20200426-1           20200512-1
                 modemmanager-qt-git5.70.0.r455.g98af660-15.71.0.r456.gd621108-1
               networkmanager-qt-git5.70.0.r1049.g38f44a2-15.71.0.r1050.g5131a3d-1
                    oxygen-icons-git5.70.0.r224.g0f85157-15.71.0.r225.gfb02f72-1
                oxygen-icons-svg-git5.70.0.r224.g0f85157-15.71.0.r225.gfb02f72-1
      plasma-browser-integration-git5.18.80.r1087.g811ae0dd-15.18.80.r1088.ga42519fd-1
                plasma-framework-git5.70.0.r15425.g1bc004e5c-15.71.0.r15427.g54cc2200c-1
                       plasma-nm-git5.18.80.r2863.g7c915638-15.18.80.r2864.g2bf19bb7-1
     plasma-workspace-wallpapers-git5.18.80.r199.gf9d6a73-15.18.80.r200.gfa01406-1
                          prison-git5.70.0.r253.g20fbd9a-15.71.0.r254.ge1731d5-1
                         purpose-git5.70.0.r756.g8cd6cca-15.71.0.r758.g13598e3-1
              qqc2-desktop-style-git5.70.0.r352.g5b88687-15.71.0.r354.g3583017-1
                           solid-git5.70.0.r562.g9b21e8f-15.71.0.r563.g7d943d5-1
                          sonnet-git5.70.0.r529.g422fac8-15.71.0.r530.gd6f33fd-1
                     syndication-git5.70.0.r763.g8daf414-15.71.0.r765.g7cc9df9-1
             syntax-highlighting-git5.70.0.r1109.g12bcfcb-15.71.0.r1112.gb07ba52-1
                    threadweaver-git5.70.0.r441.g95e18c7-15.71.0.r442.gf22ffad-1
          linux-rt-manjaro-rtl8723bu                    -                5.6-2
                linux56-rt-rtl8723bu                    -           20200405-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-05-11           2020-05-19
-------------------------------------------------------------------------------
                               ascii               3.18-2               3.18-3
                               clash             0.19.0-1             0.20.0-1
                              clevis                 12-1                 13-1
                               copyq             3.10.0-1             3.11.1-1
                                dart              2.7.4-1              2.7.5-1
                         deepin-dock            5.1.0.8-1            5.1.0.9-1
                         deepin-draw           5.8.0.15-2           5.8.0.16-1
                 deepin-polkit-agent              5.1.0-1              5.1.0-2
                              erlang               22.3-1             22.3.4-1
                          erlang-nox               22.3-1             22.3.4-1
                     erlang-unixodbc               22.3-1             22.3.4-1
                       fcitx-chewing              0.2.3-2              0.2.3-4
                        glew-wayland              2.1.0-5              2.2.0-1
                              gopass              1.9.0-2              1.9.1-1
                              hcloud             1.14.0-3             1.16.2-1
                        ibus-chewing              1.6.1-1              1.6.1-3
                              jgmenu              4.1.0-1              4.2.0-1
                     man-pages-zh_cn            1.6.3.4-1            1.6.3.4-2
                     man-pages-zh_tw            1.6.3.4-1            1.6.3.4-2
             mkinitcpio-systemd-tool                 35-1                 36-1
                            parallel           20191122-1           20200322-1
                    python-chameleon              3.7.0-1              3.7.1-1
                python-dogpile.cache              0.9.0-1              0.9.1-1
                   python-matrix-nio             0.10.0-1             0.11.1-1
                           python-z3              4.8.7-1              4.8.8-1
               python2-dogpile.cache              0.9.0-1                    -
                                repo                2.5-1                2.7-1
                             sysstat             12.3.2-1             12.3.3-1
                              tenshi               0.17-1               0.17-2
                             udiskie              2.1.1-1              2.2.0-1
                        vim-nerdtree              6.6.1-1              6.7.0-1
                               yaegi              0.8.0-1              0.8.4-1
                                  z3              4.8.7-1              4.8.8-1
             zsh-theme-powerlevel10k              1.7.0-2              1.8.0-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-05-11           2020-05-19
-------------------------------------------------------------------------------
                            linux414           4.14.179-1           4.14.180-1
                    linux414-headers           4.14.179-1           4.14.180-1
                            linux419           4.19.121-1           4.19.122-1
                    linux419-headers           4.19.121-1           4.19.122-1
                             linux44            4.4.222-1            4.4.223-1
                     linux44-headers            4.4.222-1            4.4.223-1
                             linux49            4.9.222-1            4.9.223-1
                     linux49-headers            4.9.222-1            4.9.223-1
                             linux54             5.4.39-1             5.4.40-1
                     linux54-headers             5.4.39-1             5.4.40-1
                             linux56             5.6.11-1             5.6.12-1
                     linux56-headers             5.6.11-1             5.6.12-1
                       linux57 5.7rc4.d0503.g0e698df-1 5.7rc5.d0510.g2ef96a5-1
               linux57-headers 5.7rc4.d0503.g0e698df-1 5.7rc5.d0510.g2ef96a5-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-05-11           2020-05-19
-------------------------------------------------------------------------------
                           calamares           3.2.23.2-3           3.2.24.1-1
               calamares-git 3.2.24.r7826.fb8e69ca6-3 3.2.25.r7900.717ccf919-1
                  linux414-acpi_call            1.1.0-151            1.1.0-152
                   linux414-bbswitch              0.8-151              0.8-152
                linux414-broadcom-wl     6.30.223.271-151     6.30.223.271-152
                linux414-ndiswrapper               1.63-1               1.63-2
               linux414-nvidia-340xx           340.108-20           340.108-21
               linux414-nvidia-390xx           390.132-28           390.132-29
               linux414-nvidia-418xx           418.113-25           418.113-26
               linux414-nvidia-430xx            430.64-26            430.64-27
               linux414-nvidia-435xx            435.21-36            435.21-37
               linux414-nvidia-440xx             440.82-5             440.82-6
                   linux414-nvidiabl             0.88-151             0.88-152
                      linux414-r8168           8.048.02-3           8.048.02-4
                  linux414-rt3562sta       2.4.1.1_r4-151       2.4.1.1_r4-152
                   linux414-tp_smapi              0.43-43              0.43-44
                linux414-vhba-module          20200106-14          20200106-15
    linux414-virtualbox-host-modules              6.1.6-4              6.1.6-5
                        linux414-zfs             0.8.3-13             0.8.3-14
                  linux419-acpi_call            1.1.0-111            1.1.0-112
                   linux419-bbswitch              0.8-111              0.8-112
                linux419-broadcom-wl     6.30.223.271-110     6.30.223.271-111
                linux419-ndiswrapper               1.63-1               1.63-2
               linux419-nvidia-340xx           340.108-31           340.108-32
               linux419-nvidia-390xx           390.132-40           390.132-41
               linux419-nvidia-418xx           418.113-39           418.113-40
               linux419-nvidia-430xx            430.64-39            430.64-40
               linux419-nvidia-435xx            435.21-50            435.21-51
               linux419-nvidia-440xx             440.82-8             440.82-9
                   linux419-nvidiabl             0.88-110             0.88-111
                      linux419-r8168           8.048.02-4           8.048.02-5
                  linux419-rtl8723bu           20200405-7           20200405-8
                   linux419-tp_smapi              0.43-60              0.43-61
                linux419-vhba-module          20200106-25          20200106-26
   linux419-virtualbox-guest-modules              6.1.6-7              6.1.6-8
    linux419-virtualbox-host-modules              6.1.6-7              6.1.6-8
                        linux419-zfs             0.8.3-24             0.8.3-25
                   linux44-acpi_call            1.1.0-153            1.1.0-154
                    linux44-bbswitch              0.8-153              0.8-154
                 linux44-broadcom-wl     6.30.223.271-123     6.30.223.271-124
                 linux44-ndiswrapper               1.63-1               1.63-2
                linux44-nvidia-340xx           340.108-17           340.108-18
                linux44-nvidia-390xx           390.132-23           390.132-24
                linux44-nvidia-418xx           418.113-22           418.113-23
                linux44-nvidia-430xx            430.64-21            430.64-22
                linux44-nvidia-435xx            435.21-23            435.21-24
                linux44-nvidia-440xx             440.82-5             440.82-6
                    linux44-nvidiabl             0.88-153             0.88-154
                       linux44-r8168           8.048.02-3           8.048.02-4
                   linux44-rt3562sta       2.4.1.1_r4-110       2.4.1.1_r4-111
                    linux44-tp_smapi              0.43-32              0.43-33
                 linux44-vhba-module          20200106-14          20200106-15
     linux44-virtualbox-host-modules              6.1.6-4              6.1.6-5
                         linux44-zfs             0.8.3-13             0.8.3-14
                   linux49-acpi_call            1.1.0-167            1.1.0-168
                    linux49-bbswitch              0.8-167              0.8-168
                 linux49-broadcom-wl     6.30.223.271-167     6.30.223.271-168
                 linux49-ndiswrapper               1.63-1               1.63-2
                linux49-nvidia-340xx           340.108-17           340.108-18
                linux49-nvidia-390xx           390.132-24           390.132-25
                linux49-nvidia-418xx           418.113-23           418.113-24
                linux49-nvidia-430xx            430.64-22            430.64-23
                linux49-nvidia-435xx            435.21-29            435.21-30
                linux49-nvidia-440xx             440.82-5             440.82-6
                    linux49-nvidiabl             0.88-167             0.88-168
                       linux49-r8168           8.048.02-3           8.048.02-4
                   linux49-rt3562sta       2.4.1.1_r4-151       2.4.1.1_r4-152
                    linux49-tp_smapi              0.43-35              0.43-36
                 linux49-vhba-module          20200106-14          20200106-15
     linux49-virtualbox-host-modules              6.1.6-4              6.1.6-5
                         linux49-zfs             0.8.3-13             0.8.3-14
                   linux54-acpi_call             1.1.0-45             1.1.0-46
                    linux54-bbswitch               0.8-45               0.8-46
                 linux54-broadcom-wl      6.30.223.271-45      6.30.223.271-46
                 linux54-ndiswrapper               1.63-1               1.63-2
                linux54-nvidia-340xx           340.108-37           340.108-38
                linux54-nvidia-390xx           390.132-45           390.132-46
                linux54-nvidia-418xx           418.113-45           418.113-46
                linux54-nvidia-430xx            430.64-45            430.64-46
                linux54-nvidia-435xx            435.21-45            435.21-46
                linux54-nvidia-440xx            440.82-12            440.82-13
                    linux54-nvidiabl              0.88-45              0.88-46
                       linux54-r8168           8.048.02-5           8.048.02-6
                   linux54-rtl8723bu           20200405-9          20200405-10
                    linux54-tp_smapi              0.43-45              0.43-46
                 linux54-vhba-module          20200106-30          20200106-31
    linux54-virtualbox-guest-modules              6.1.6-9             6.1.6-10
     linux54-virtualbox-host-modules              6.1.6-9             6.1.6-10
                         linux54-zfs             0.8.3-29             0.8.3-30
                   linux56-acpi_call             1.1.0-15             1.1.0-16
                    linux56-bbswitch               0.8-15               0.8-16
                 linux56-broadcom-wl      6.30.223.271-15      6.30.223.271-16
                 linux56-ndiswrapper               1.63-1               1.63-2
                linux56-nvidia-340xx           340.108-15           340.108-16
                linux56-nvidia-390xx           390.132-15           390.132-16
                linux56-nvidia-418xx           418.113-15           418.113-16
                linux56-nvidia-430xx            430.64-15            430.64-16
                linux56-nvidia-435xx            435.21-15            435.21-16
                linux56-nvidia-440xx            440.82-13            440.82-14
                       linux56-r8168           8.048.02-7           8.048.02-8
                   linux56-rtl8723bu          20200405-15          20200405-16
                    linux56-tp_smapi              0.43-15              0.43-16
                 linux56-vhba-module          20200106-15          20200106-16
    linux56-virtualbox-guest-modules             6.1.6-11             6.1.6-12
     linux56-virtualbox-host-modules             6.1.6-11             6.1.6-12
                         linux56-zfs             0.8.3-15             0.8.3-16
                   linux57-acpi_call            1.1.0-0.7            1.1.0-0.8
                    linux57-bbswitch              0.8-0.7              0.8-0.8
                 linux57-broadcom-wl     6.30.223.271-0.7     6.30.223.271-0.8
                 linux57-ndiswrapper             1.63-0.1             1.63-0.8
                linux57-nvidia-340xx          340.108-0.7          340.108-0.8
                linux57-nvidia-390xx          390.132-0.7          390.132-0.8
                linux57-nvidia-440xx           440.82-0.7           440.82-0.8
                       linux57-r8168         8.048.02-0.7         8.048.02-0.8
                   linux57-rtl8723bu         20200405-0.7         20200405-0.8
                    linux57-tp_smapi             0.43-0.7             0.43-0.8
                 linux57-vhba-module         20200106-0.7         20200106-0.8
    linux57-virtualbox-guest-modules            6.1.6-0.7            6.1.6-0.8
     linux57-virtualbox-host-modules            6.1.6-0.7            6.1.6-0.8
            manjaro-settings-manager              0.5.6-8              0.5.6-9
        manjaro-settings-manager-kcm              0.5.6-8              0.5.6-9
  manjaro-settings-manager-knotifier              0.5.6-8              0.5.6-9
   manjaro-settings-manager-notifier              0.5.6-8              0.5.6-9
              manjaro-tools-base-git      r2895.3806b31-1      r2904.65c1322-1
               manjaro-tools-iso-git      r2895.3806b31-1      r2904.65c1322-1
               manjaro-tools-pkg-git      r2895.3806b31-1      r2904.65c1322-1
              manjaro-tools-yaml-git      r2895.3806b31-1      r2904.65c1322-1
                                qemu            5.0.0-5.1                    -
                     qemu-arch-extra            5.0.0-5.1                    -
                  qemu-block-gluster            5.0.0-5.1                    -
                    qemu-block-iscsi            5.0.0-5.1                    -
                      qemu-block-rbd            5.0.0-5.1                    -
                    qemu-guest-agent            5.0.0-5.1                    -
                       qemu-headless            5.0.0-5.1                    -
            qemu-headless-arch-extra            5.0.0-5.1                    -
                          knetattach                    -             5.18.5-2
                      plasma-desktop                    -             5.18.5-2
                    plasma-framework                    -             5.70.1-1
              plasma-wayland-session                    -             5.18.5-2
                    plasma-workspace                    -             5.18.5-2


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-05-11           2020-05-19
-------------------------------------------------------------------------------
                              attica             5.69.0-1             5.70.0-1
                               baloo             5.69.0-1             5.70.0-1
                            bluez-qt             5.69.0-1             5.70.0-1
                        breeze-icons             5.69.0-1             5.70.0-1
                 extra-cmake-modules             5.69.0-1             5.70.0-1
                frameworkintegration             5.69.0-1             5.70.0-1
                             freetds             1.1.33-1             1.1.36-1
                        gnome-clocks             3.36.0-1             3.36.2-1
                         intel-ucode           20191115-3           20200508-1
                         kactivities             5.69.0-1             5.70.0-1
                   kactivities-stats             5.69.0-1             5.70.0-1
                             kapidox             5.69.0-1             5.70.0-1
                            karchive             5.69.0-1             5.70.0-1
                               kauth             5.69.0-1             5.70.0-1
                          kbookmarks             5.69.0-2             5.70.0-1
                       kcalendarcore             5.69.0-1             5.70.0-1
                            kcmutils             5.69.0-1             5.70.0-1
                             kcodecs             5.69.0-1             5.70.0-1
                         kcompletion             5.69.0-1             5.70.0-1
                             kconfig             5.69.0-1             5.70.0-1
                      kconfigwidgets             5.69.0-1             5.70.0-1
                           kcontacts           1:5.69.0-1           1:5.70.0-1
                         kcoreaddons             5.69.0-1             5.70.0-1
                              kcrash             5.69.0-1             5.70.0-1
                         kdbusaddons             5.69.0-1             5.70.0-1
                        kdeclarative             5.69.0-1             5.70.0-1
                                kded             5.69.0-1             5.70.0-1
                     kdelibs4support             5.69.0-1             5.70.0-1
                     kdesignerplugin             5.69.0-1             5.70.0-1
                               kdesu             5.69.0-1             5.70.0-1
                           kdewebkit             5.69.0-1             5.70.0-1
                              kdnssd             5.69.0-1             5.70.0-1
                           kdoctools             5.69.0-1             5.70.0-1
                          kemoticons             5.69.0-1             5.70.0-1
                       kfilemetadata             5.69.0-1             5.70.0-1
                        kglobalaccel             5.69.0-1             5.70.0-1
                          kguiaddons             5.69.0-1             5.70.0-1
                           kholidays           1:5.69.0-1           1:5.70.0-1
                               khtml             5.69.0-1             5.70.0-1
                               ki18n             5.69.0-1             5.70.0-1
                         kiconthemes             5.69.0-1             5.70.0-1
                           kidletime             5.69.0-1             5.70.0-1
                       kimageformats             5.69.0-1             5.70.0-1
                               kinit             5.69.0-1             5.70.0-1
                                 kio             5.69.0-1             5.70.0-1
                           kirigami2             5.69.0-1             5.70.0-1
                         kitemmodels             5.69.0-1             5.70.0-1
                          kitemviews             5.69.0-1             5.70.0-1
                         kjobwidgets             5.69.0-1             5.70.0-1
                                 kjs             5.69.0-1             5.70.0-1
                            kjsembed             5.69.0-1             5.70.0-1
                        kmediaplayer             5.69.0-1             5.70.0-1
                           knewstuff             5.69.0-1             5.70.0-1
                      knotifications             5.69.0-1             5.70.0-1
                       knotifyconfig             5.69.0-1             5.70.0-1
                            kpackage             5.69.0-1             5.70.0-1
                              kparts             5.69.0-1             5.70.0-1
                             kpeople             5.69.0-1             5.70.0-1
                           kplotting             5.69.0-1             5.70.0-1
                                kpty             5.69.0-1             5.70.0-1
                        kquickcharts             5.69.0-1             5.70.0-1
                               kross             5.69.0-1             5.70.0-1
                             krunner             5.69.0-1             5.70.0-1
                            kservice             5.69.0-1             5.70.0-1
                         ktexteditor             5.69.0-1             5.70.0-1
                        ktextwidgets             5.69.0-1             5.70.0-1
                     kunitconversion             5.69.0-1             5.70.0-1
                             kwallet             5.69.0-1             5.70.0-1
                            kwayland             5.69.0-1             5.70.0-1
                      kwidgetsaddons             5.69.0-1             5.70.0-1
                       kwindowsystem             5.69.0-1             5.70.0-1
                             kxmlgui             5.69.0-1             5.70.0-1
                       kxmlrpcclient             5.69.0-1             5.70.0-1
                           mercurial              5.3.2-1                5.4-1
                     modemmanager-qt             5.69.0-1             5.70.0-1
                               munin             2.0.56-1             2.0.61-1
                          munin-node             2.0.56-1             2.0.61-1
                   networkmanager-qt             5.69.0-2             5.70.0-1
                        oxygen-icons           1:5.69.0-1           1:5.70.0-1
                    oxygen-icons-svg           1:5.69.0-1           1:5.70.0-1
                    plasma-framework             5.69.0-2             5.70.0-1
                              prison             5.69.0-1             5.70.0-1
                             purpose             5.69.0-1             5.70.0-1
                         python-mako              1.1.2-1              1.1.2-3
                      python-wstools              0.4.9-1             0.4.10-1
                       python2-isort              4.3.9-1             4.3.10-1
                        python2-mako              1.1.2-1                    -
                     python2-wstools              0.4.9-1             0.4.10-1
                                qemu              5.0.0-5              5.0.0-6
                     qemu-arch-extra              5.0.0-5              5.0.0-6
                  qemu-block-gluster              5.0.0-5              5.0.0-6
                    qemu-block-iscsi              5.0.0-5              5.0.0-6
                      qemu-block-rbd              5.0.0-5              5.0.0-6
                    qemu-guest-agent              5.0.0-5              5.0.0-6
                       qemu-headless              5.0.0-5              5.0.0-6
            qemu-headless-arch-extra              5.0.0-5              5.0.0-6
                  qqc2-desktop-style             5.69.0-1             5.70.0-1
                               solid             5.69.0-1             5.70.0-1
                              sonnet             5.69.0-1             5.70.0-1
                          stellarium             0.20.0-1             0.20.1-1
                         syndication             5.69.0-1             5.70.0-1
                 syntax-highlighting             5.69.0-1             5.70.0-1
                        threadweaver             5.69.0-1             5.70.0-1
                     wireguard-tools       1.0.20200319-1       1.0.20200510-1
                            wxmaxima            20.03.1-1            20.04.0-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-05-11           2020-05-19
-------------------------------------------------------------------------------
                                wine                5.7-1                5.8-1
                        wine-staging                5.7-1                5.8-1


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

12 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Stable Updates Announcements RSS feed


systemd 245.5 and old Plymouth

If you have an older Manjaro installation from 2017 or so, you might still have Plymouth installed. If you hadn't updated it from AUR, it is recommended to remove Plymouth before you attempt to update systemd. If for some reason you updated already and now have issues, login to a TTY and disable Plymouth:

  • Ctrl + Alt + F3 and login
  • sudo pacman -R plymouth
  • you may want to check if the wanted display manager still works and enable its service if needed.

For more details and possible further steps on Plymouth removal see https://wiki.manjaro.org/index.php?title=Plymouth#Removal In particular you need to remove the "plymouth" hook from /etc/mkinitcpio.conf and rebuild your initramfs.

Search the forum for additional Plymouth troubleshooting. 0.9.4.r269.g23afdeb-2 should fix the issue.

Older issues

(2020-04-19) System with amdgpu won't reboot or power off correctly

This was a kernel regression and has been patched in 5.4.33-2, 5.5.18-2, and 5.6.5-2. Check again for updates.

(2020-04-18) nss>=3.51.1-1 and lib32-nss>=3.51.1-1 updates require manual intervention

This should normally been fixed by manjaro-system.

If you were using Pamac GTK and got an error message similar to the following (see screenshot below):
thumbnail
try first to simply restart the update with Pamac GTK. This should be enough to continue and finish the system update. Closing Pamac window may not be necessary. Normally, despite what the error message tells, the file conflict(s) should in fact be handled properly when manjaro-system got upgraded; hence restarting the upgrade right after should do the trick.

If the file conflict was not solved automatically by manjaro-system, update your system in a command-line interface with the following command to get through it:

sudo  pacman -Syu --overwrite /usr/lib\*/p11-kit-trust.so

(2020-04-18) Thunderbird might throw an error of older version available.

Use $ thunderbird --allow-downgrade from a terminal to fix it.

(2020-04-18) Thinkpad T460 (Intel Wireless 8260) bluetooth problems

If you have a Thinkpad T460 with kernel 5.5, Intel Wireless 8260 and experience trouble with bluetooth, just reboot several times.

(2020-04-18) Error: signature invalid

If you get:

Error: linux54: signature from "Bernhard Landauer <oberon@manjaro.org>" is invalid

You should follow the solution here


Reminder for Gnome users: How to upgrade within TTY?

In order to upgrade from Gnome 3.34 to Gnome 3.36, Manjaro devs strongly recommend to upgrade within TTY and not within a graphical session. Read the announcement above for the instructions on how to do the upgrade as recommended. For a more comprehensive guide on this subject, please read the following article in the FAQ: How do I do a system upgrade "within a tty"?.

error: failed to commit transaction (conflicting files)

If you get

error: failed to commit transaction (conflicting files)
hplip: /usr/share/hplip/base/__pycache__/__init__.cpython-38.pyc exists in filesystem

Make sure your mirrors are synced and that you have manjaro-system-20200324-4 or newer installed:

$ sudo pacman -S manjaro-system

Sound issues

If you're having sound issues (e.g. on Firefox, hardware keys, panel slider), try disabling User Themes, restarting and then enabling again.


firewalld>=0.8.1-2 update requires manual intervention

(From arch linux post)
The firewalld package prior to version 0.8.1-2 was missing the compiled python modules. This has been fixed in 0.8.1-2, so the upgrade will need to overwrite the untracked pyc files created. If you get errors like these

firewalld: /usr/lib/python3.8/site-packages/firewall/__pycache__/__init__.cpython-38.pyc exists in filesystem
firewalld: /usr/lib/python3.8/site-packages/firewall/__pycache__/client.cpython-38.pyc exists in filesystem
firewalld: /usr/lib/python3.8/site-packages/firewall/__pycache__/dbus_utils.cpython-38.pyc exists in filesystem
...many more...

when updating, use

pacman -Syu --overwrite /usr/lib/python3.8/site-packages/firewall/\*

to perform the upgrade.


Report any AUR breakage here.

2 Likes

Shame KDE Frameworks isn't held back till plasma 5.19. See https://pointieststick.com/2020/05/10/why-the-animations-in-your-plasma-5-18-feel-slow-now-and-when-it-will-be-fixed/

We already fixed that issue with this update. That is why we can ship it.

17 Likes

What's the alternative to Plymouth?

I have an issue with ZFS encryption. The Manjaro package seems to be based on the AUR package of zfs-utils, but this package doesn't load the encryption key on boot. Instead I'm using plymouth-zfs to request the encryption key through Plymouth.

Now that plymouth is broken, this is also broken and I have been unable to cleanly boot without switching to a terminal and manually loading the ZFS key with zfs load-key.

How is it fixed, is there a post about it?

The update went fine on three computers:
2 * KDE and 1 * XFCE

Thanks to the Manjaro team!

FYI Only: Except that I received the update about 2h ago, nothing to report...

:grin:

  • Updated via terminal
  • Everything went well
  • After the update completed, I manually sudo mkinitcpio -P and sudo update-grub as I usually have to do
  • Rebooted and got a Kernel Panic:
  • Chrooted in via a liveDVD, once chrooted - manually did sudo mkinitcpio -P and sudo update-grub and rebooted
  • All fine!

xfce here. all went nice and clean

1 Like

All good here :heart: Thanks to the Manjaro Team
Linux56+BTRFS+XFCE

thanks for update
does manjaro stable will use plasma 5.18 lts or goes for 5.19 and above?

Look at the comment of the link you provided :wink: :

1 Like

The update went well for me. :+1:

Here is the fix.

3 Likes

Updated 5 machines and everything went smoothly

TTY install went fine on XFCE LTS kernel 5.4.40

cinnamon 5.4 update, all is good, thanks.

KDE upgrade went without a problem, thanks to great work :wink:

absolutely brilliant work

Forum kindly sponsored by